Subject: Re: Login incorrect
From: Corinna Vinschen <[email-masked]>
To: Olivier Jacquemin <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 18 May 2000 17:27:08 +0200

Olivier Jacquemin wrote:
> 
> Hello,
> 
> The login command does not work on my PC, the only result I can get is
> "Login incorrect".  My goal is to be able to log in using my usual NT
> _domain_ name and password (and ultimately to use remote access with rlogin
> or ftp).
> 
> In the /etc/passwd file, I tried both modifications proposed:
> <domain name>\<user name> at the beginning of the line, or
> U-<domain name>\<user name> just before ",S-..."
> Nothing seems to work.

Do you set the CYGWIN environment variable to contain
the word `ntsec'? You have to switch on the ntsec option
to get the U- and S- options in /etc/passwd to work.

You have to set that in the NT environment as I pointed out
in the today's thread
	"IMPORTANT: Installing inetd or sth else as service"
in the cygwin mailing list.

> What am I supposed to enter at the login prompt after running the login
> command ? Is it exactly the same (case-sensitive) as the NT user name that I
> use to log in the NT domain ?

No! You may use your name which is given in the pw_name
field in your passwd file, as described in the login README.

Imagin the example of a NT user "JohnDoe" in domain "BIGBROTHER".
You want to use the name "john" under Cygwin. The passwd file
looks like:

	john::123:111:John Doe,U-BIGBROTHER\JohnDoe,S-1-5-....

and you have to login with the name 

	john

and the NT password of the user

	JohnDoe

Ok?

> What about NT priviledges ? Do I need special priviledges to set up all this
> ?

Please, read the README files for inetutils and login.
They are part of the binary tar files and will be unpacked
in the / directory (not _that_ skillful solution, I know).

Hope, that helps,
Corinna

-- 
Corinna Vinschen
Cygwin Developer
Cygnus Solutions, a Red Hat company

--
Want to unsubscribe from this list?
Send a message to [email-masked]